Get server shifts
curl --request GET \
--url https://api.melonly.xyz/api/v1/server/shifts \
--header 'Authorization: <api-key>'import requests
url = "https://api.melonly.xyz/api/v1/server/shifts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.melonly.xyz/api/v1/server/shifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"autoEnd": true,
"breakTimestamps": [
{}
],
"createdAt": 123,
"endedAt": 123,
"endedBy": "<string>",
"id": "<string>",
"memberId": "<string>",
"serverId": "<string>",
"type": "<string>",
"wave": 123
}
],
"page": 1,
"pageSize": 10,
"total": 100,
"totalPages": 10
}{
"error": "invalid request parameters"
}{
"error": "authorization header is required"
}{
"error": "internal server error"
}Server Endpoints
Get server shifts
Get paginated list of shifts for a server. Requires authentication.
GET
/
server
/
shifts
Get server shifts
Authorizations
Type "Bearer" followed by a space and the API token.
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100⌘I
